package com.quyunshuo.androidbaseframemvvm.base.addressenum

import com.quyunshuo.androidbaseframemvvm.base.R
import com.quyunshuo.androidbaseframemvvm.base.constant.DebugType

/**
 * pit这个很重要，它对应着状态位置OUT_IO占3个字节24位，PWM1_IO占一个字节1e表示炉头低速，32表示中速，64表示高速
 * */
enum class PlcDebugAddressEnum(
    val type: Int,
    val pit: Int,
    val address: String,
    val aName: String,
    val aNameId: Int
) {
    IO_SE_01(DebugType.OUT_IO, 25, "000100010019", "白糖", R.string.base_white_sugar),
    IO_SE_02(DebugType.OUT_IO, 12, "0001000100", "红糖", R.string.base_red_sugar),
    IO_SE_03(DebugType.OUT_IO, 13, "0001000100", "黄糖", R.string.base_brown_sugar),
    IO_SE_04(DebugType.OUT_IO, 14, "0001000100", "蓝糖", R.string.base_blue_sugar),
    IO_SE_05(DebugType.OUT_IO, 1, "0001000100", "无刷气泵", R.string.base_brushless_air_pump),
    IO_SE_06(DebugType.OUT_IO, 2, "0001000100", "循环风机", R.string.base_circulating_fan),
    IO_SE_07(DebugType.OUT_IO, 9, "0001000100", "炉头加热", R.string.base_furnace_head_heating),

    PWM_SE_01(DebugType.PWM1_IO, 25, "01010100", "低速炉头", R.string.base_low_burner),
    PWM_SE_02(DebugType.PWM2_IO, 25, "01010100", "中速炉头", R.string.base_medium_burner),
    PWM_SE_03(DebugType.PWM3_IO, 25, "01010100", "高速炉头", R.string.base_high_burner),
    PWM_CLEAN(DebugType.PWMCLEAN, 26, "10100111", "炉头清洗", R.string.base_clean_head_heating),
    PWM_STUCK(DebugType.PWMSTUCK, 26, "10100102", "炉头卡死", R.string.base_stuck_head_heating),
    PWM_XRESET(DebugType.PWMXRESET, 26, "10100101", "X轴复位", R.string.base_x_reset),


}

//    M111("M111", "蒸发器风机", R.string.base_plc_debug_1),
//    M116("M116", "蒸发器压缩机",R.string.base_plc_debug_2),
//    M166("M166", "蒸发器电机",R.string.base_plc_debug_3),
//    M182("M182", "取餐门",R.string.base_plc_debug_4),
//    M174("M174", "口味皮带1",R.string.base_plc_debug_5),
//    M175("M175", "口味皮带2",R.string.base_plc_debug_6),
//    M176("M176", "口味皮带3",R.string.base_plc_debug_7),
//    M177("M177", "口味皮带4",R.string.base_plc_debug_8),
//    M173("M173", "落杯",R.string.base_plc_debug_9),
//    M171("M171", "转杯",R.string.base_plc_debug_10),
//    M184("M184", "清洗蠕动泵",R.string.base_plc_debug_11),
//    M178("M178", "口味泵1",R.string.base_plc_debug_12),
//    M179("M179", "口味泵2",R.string.base_plc_debug_13),
//    M180("M180", "口味泵3",R.string.base_plc_debug_14),
//    M181("M181", "口味泵4",R.string.base_plc_debug_15),
//    M199("M199", "拔针1",R.string.base_plc_debug_16),
//    M198("M198", "插针1",R.string.base_plc_debug_17),
//    M209("M209", "拔针2",R.string.base_plc_debug_18),
//    M208("M208", "插针2",R.string.base_plc_debug_19),
//    M219("M219", "拔针3",R.string.base_plc_debug_20),
//    M218("M218", "插针3",R.string.base_plc_debug_21),
//    M229("M229", "拔针4",R.string.base_plc_debug_22),
//    M228("M228", "插针4",R.string.base_plc_debug_23)